<template>
  <el-select filterable :value="value" @change="change" v-bind="$attrs">
    <el-option v-for="dock in getDock" :key="dock.id" :label="dock.titleZh" :value="dock.id"></el-option>
  </el-select>
</template>

<script>
/**
 * 码头
 */
export default {
  name: "dockSelect",
  props: {
    value: Number,
  },
  model: {
    prop: "value",
    event: "change",
  },
  data() {
    return {
      supplier: [],
    };
  },
  computed: {
    getDock() {
      return this.$attrs.allDocks;
    },
  },
  methods: {
    change(val) {
      this.$emit("change", val);
    },
  },
};
</script>
